libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_analysis_wrote

declared in "vorbis/codec.h";

This function tells the encoder new data is available for compression. Call this after writing new audio into the buffer array returned by vorbis_analysis_buffer().

Call with the vals parameter set to zero to signal the end of the input data.

    extern int      vorbis_analysis_wrote(vorbis_dsp_state *v,int vals);

### Parameters

v
  Pointer to the vorbis_dsp_state representing the encoder.
vals
  Number of samples successfully written. This must be less than or equal to the value passed to vorbis_analysis_buffer(). A value of zero means all input data has been provided and the compressed stream should be finalized.

### Return Values

- 0 for success
- negative values for failure:
  - OV_EINVAL - Invalid request; e.g. vals overflows the allocated space.
  - OV_EFAULT - Internal fault; indicates a bug or memory corruption.
  - OV_EIMPL - Unimplemented; not supported by this version of the library.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101